Name: oxygen-gtk
Summary: A port of the default KDE widget theme (Oxygen) to gtk
Version: 1.2.3
Release: %mkrel 2
Source0: ftp://ftp.kde.org/pub/kde/stable/oxygen-gtk2/%{version}/src/%{name}2-%{version}.tar.bz2
URL: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Group: Graphical desktop/KDE
License: LGPLv2+
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: cmake
Requires: oxygen-gtk2-engine

%description
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk.

It's primary goal is to ensure visual consistency between gtk and qt-based
applications running under kde. A secondary objective is to also have a
stand-alone nice looking gtk theme that would behave well on other Desktop
Environments.

Unlike other attempts made to port the kde oxygen theme to gtk, this attempt
does not depend on Qt (via some Qt to Gtk conversion engine), nor does render
the widget appearance via hard coded pixmaps, which otherwise breaks everytime
some setting is changed in kde.

%files
%doc AUTHORS COPYING INSTALL README
%{_bindir}/*
%{_datadir}/themes/oxygen-gtk

#------------------------------------------------

%define libname %mklibname oxygen-gtk

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries
Provides:	oxygen-gtk2-engine 
Conflicts:	oxygen-gtk < 1.0.4-2

%description -n %{libname}
Dynamic libraries for %{name}.

%files -n %libname
%{_libdir}/gtk-2.0/2.10.0/engines/liboxygen-gtk.so

#------------------------------------------------

%prep
%setup -q -n %{name}2-%{version}

%build
%cmake \
	-DOXYGEN_FORCE_KDE_ICONS_AND_FONTS=0
%make

%install
%makeinstall_std -C build



%changelog

* Tue May 01 2012 wally <wally> 1.2.3-2.mga2
+ Revision: 234424
- don't force KDE icons and fonts when running in non-KDE (set OXYGEN_FORCE_KDE_ICONS_AND_FONTS to 0)

* Sun Apr 15 2012 fwang <fwang> 1.2.3-1.mga2
+ Revision: 230836
- new version 1.2.3

* Sun Mar 25 2012 lmenut <lmenut> 1.2.2-2.mga2
+ Revision: 226339
- bump release to ensure update to upstream 1.2.2-1

  + dmorgan <dmorgan>
    - New version 1.2.2-1

* Tue Mar 20 2012 dmorgan <dmorgan> 1.2.1-3.mga2
+ Revision: 225059
- Revert to version 1.2.1

* Mon Mar 12 2012 fwang <fwang> 1.2.2-1.mga2
+ Revision: 222975
- new version 1.2.2

* Thu Feb 16 2012 fwang <fwang> 1.2.1-2.mga2
+ Revision: 209591
- br dbus

* Thu Feb 16 2012 fwang <fwang> 1.2.1-1.mga2
+ Revision: 209585
- new version 1.2.1

* Fri Feb 10 2012 tv <tv> 1.2.0-3.mga2
+ Revision: 206889
- patch 1: fix metacity crash with gnomeclassic (mga#4408)

* Wed Feb 01 2012 juancho <juancho> 1.2.0-2.mga2
+ Revision: 203842
- Added patch fixing hovering menus problem on MCC (BUG: 3509)

* Wed Jan 18 2012 juancho <juancho> 1.2.0-1.mga2
+ Revision: 197784
- Updated to 1.2.0

* Sat Dec 17 2011 fwang <fwang> 1.1.6-1.mga2
+ Revision: 182929
- new version 1.1.6

* Sat Dec 10 2011 tv <tv> 1.1.5-3.mga2
+ Revision: 180415
- rebuild with new gcc & binutils (might help with crashes in libstdc++)

* Tue Nov 29 2011 juancho <juancho> 1.1.5-2.mga2
+ Revision: 174050
- Changed lib provides to oxygen-gtk2-engine instead of oxygen-gtk-gtk2-engine for consistency. The same with the Requires on main package.

* Fri Nov 18 2011 juancho <juancho> 1.1.5-1.mga2
+ Revision: 169009
- Uploaded sources for 1.1.5
- Updated to 1.1.5

* Mon Oct 24 2011 fwang <fwang> 1.1.4-1.mga2
+ Revision: 157619
- new version 1.1.4

* Sat Sep 17 2011 fwang <fwang> 1.1.3-1.mga2
+ Revision: 144387
- new version 1.1.3
- new version 1.1.2

* Sat Jul 16 2011 fwang <fwang> 1.1.1-1.mga2
+ Revision: 124654
- new version 1.1.1

* Fri Jul 15 2011 dmorgan <dmorgan> 1.1.0-4.mga2
+ Revision: 124350
- Remove debug option

* Thu Jul 07 2011 dmorgan <dmorgan> 1.1.0-3.mga2
+ Revision: 119708
- Enable debug

* Tue Jul 05 2011 dmorgan <dmorgan> 1.1.0-2.mga2
+ Revision: 118928
- Do not requires kde apps in gtk theme

* Thu Jun 16 2011 fwang <fwang> 1.1.0-1.mga2
+ Revision: 108140
- new version 1.1.0

* Sun Apr 24 2011 lmenut <lmenut> 1.0.4-3.mga1
+ Revision: 90040
- add forgotten conflicts

* Sun Apr 24 2011 lmenut <lmenut> 1.0.4-2.mga1
+ Revision: 90031
- libify oxygen-gtk engine (#957)

* Thu Apr 14 2011 mikala <mikala> 1.0.4-1.mga1
+ Revision: 85194
- Update tarball to 1.0.4

* Fri Mar 18 2011 mikala <mikala> 1.0.3-1.mga1
+ Revision: 73956
- Update tarball to 1.0.3

* Sat Feb 12 2011 ahmad <ahmad> 1.0.2-1.mga1
+ Revision: 50959
- update to 1.0.2

* Mon Feb 07 2011 ahmad <ahmad> 1.0.1-2.mga1
+ Revision: 48789
- drop unneeded macros
- imported package oxygen-gtk


* Fri Jan 14 2011 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 631031
- new version 1.0.1 final

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - suggest systemsettings-qt-gtk for older stable distros

* Tue Dec 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.1-0.git210101224.1mdv2011.0
+ Revision: 625492
- use the git branch 1.0 (not trunk)
- push a new git snapshot
- change group to Graphical desktop/KDE
- suggest gtk-qt-kcm to offer users an easy way to change GTK2+ themes under kde;
  gtk-qt-kcm offers a configuration module in systemsettings> "Application Appearance".

* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 620623
- import oxygen-gtk

